Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.google.gwt.core.ext.typeinfo
Class JAnnotationType

    java.lang.Object
      com.google.gwt.core.ext.typeinfo.JType
          com.google.gwt.core.ext.typeinfo.JClassType
              com.google.gwt.core.ext.typeinfo.JRealClassType
                  com.google.gwt.core.ext.typeinfo.JAnnotationType

All Implemented Interfaces:
  HasAnnotations, HasMetaData

    public class JAnnotationType

extends JRealClassType

Type representing an annotation type.

Constructor Summary
`JAnnotationType(TypeOracle oracle, JPackage declaringPackage, JClassType enclosingType, boolean isLocalType, java.lang.String name, boolean isInterface)`

Method Summary
`JAnnotationMethod` | `getMethod(java.lang.String name, JType[] paramTypes)`
`JAnnotationMethod[]` | `getMethods()`
`JAnnotationMethod[]` | `getOverridableMethods()` Iterates over the most-derived declaration of each unique overridable method available in the type hierarchy of the specified type, including those found in superclasses and superinterfaces.
`JAnnotationType` | `isAnnotation()` Returns this instance if it is a annotation or `null` if it is not.

Methods inherited from class com.google.gwt.core.ext.typeinfo.JRealClassType
`acceptSubtype, addAnnotations, addConstructor, addField, addImplementedInterface, addMetaData, addMethod, addModifierBits, addNestedType, findConstructor, findField, findMethod, findNestedType, findNestedTypeImpl, getAnnotation, getConstructor, getConstructors, getEnclosingType, getErasedType, getField, getFields, getImplementedInterfaces, getJNISignature, getMetaData, getMetaDataTags, getModifierBits, getName, getNestedType, getNestedTypes, getOracle, getOverloads, getOverridableMethodsOnSuperclassesAndThisClass, getOverridableMethodsOnSuperinterfacesAndMaybeThisInterface, getPackage, getQualifiedSourceName, getSimpleSourceName, getSubtypes, getSuperclass, invalidate, isAbstract, isAnnotationPresent, isArray, isClass, isDefaultInstantiable, isEnum, isFinal, isGenericType, isInterface, isLocalType, isMemberType, isParameterized, isPrimitive, isPrivate, isProtected, isPublic, isRawType, isStatic, isWildcard, notifySuperTypesOf, removeSubtype, setSuperclass, toString`

Methods inherited from class com.google.gwt.core.ext.typeinfo.JClassType
`asParameterizationOf, getFlattenedSuperTypeHierarchy, isAssignableFrom, isAssignableTo, isMaybeParameterizedType, makeCompoundName`

Methods inherited from class com.google.gwt.core.ext.typeinfo.JType
`getLeafType, getParameterizedQualifiedSourceName, isClassOrInterface, isTypeParameter`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### JAnnotationType

    public JAnnotationType(TypeOracle oracle,
                           JPackage declaringPackage,
                           JClassType enclosingType,
                           boolean isLocalType,
                           java.lang.String name,
                           boolean isInterface)

Method Detail

### getMethod

    public JAnnotationMethod getMethod(java.lang.String name,
                                       JType[] paramTypes)
                                throws NotFoundException

  Overrides:
    `getMethod` in class `JRealClassType`
  Throws:
    `NotFoundException`

### getMethods

    public JAnnotationMethod[] getMethods()

  Overrides:
    `getMethods` in class `JRealClassType`

### getOverridableMethods

    public JAnnotationMethod[] getOverridableMethods()

  Description copied from class: `JClassType`
  Iterates over the most-derived declaration of each unique overridable method available in the type hierarchy of the specified type, including those found in superclasses and superinterfaces. A method is overridable if it is not `final` and its accessibility is `public`, `protected`, or package protected. Deferred binding generators often need to generate method implementations; this method offers a convenient way to find candidate methods to implement. Note that the behavior does not match `Class.getMethod(String, Class[])`, which does not return the most derived method in some cases.

  Overrides:
    `getOverridableMethods` in class `JRealClassType`
  Returns:
    an array of `JMethod` objects representing overridable methods

### isAnnotation

    public JAnnotationType isAnnotation()

  Description copied from class: `JType`
  Returns this instance if it is a annotation or `null` if it is not.

  Overrides:
    `isAnnotation` in class `JType`
  Returns:
    this instance if it is a annotation or `null` if it is not

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD